<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
	<title>BeatTime</title>

	<!-- Bootstrap -->
	<link href="styles/bootstrap.min.css" rel="stylesheet">
	<link href="styles/main.css" rel="stylesheet">
	<link href='https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800,400italic' rel='stylesheet' type='text/css'>
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
	<script src="scripts/jquery.min.js"></script>
	<script src="scripts/bootstrap.min.js"></script>
	<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body>

	<!--Section for logo and header -->
	<div id="logosection">
		<div class="container-fluid">
			<!-- <div class="row"> -->
			<div class="navbar-collapse hidden-xs">
				<div class="nav pull-right">
					<ul class="nav navbar-nav navbar-right">
						<li class="dropdown">
							<button type="button" class="btn dropdown-toggle userLoggedIn-button" href="#" data-toggle="dropdown"><span id="user"></span></button>
							<div class="dropdown-menu" style="padding: 17px;">
								<ul class="list-unstyled">
									<li><a id="changeTimeZone">Your time zone</a></li>
									<li><a id="unavailableAt">Unavailable at...</a></li>
									<li class="divider"></li>
									<li><a href="index.html">Log out</a></li>

								</ul>
							</div>
						</li>
					</ul>
				</div>
				<div class="modal fade" id="registration" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
								<h4 class="modal-title" id="myModalLabel">Register</h4>
							</div>
							<form class="form" id="formRegister" action="" method="POST">
								<div class="modal-body">

									<div class="form-group">
										<input name="usernameRegister" id="usernameRegister" class="form-control" type="text" placeholder="Username">
									</div>
									<div class="form-group">
										<input name="emailRegister" id="emailRegister" class="form-control" type="email" placeholder="E-mail">
									</div>
									<div class="form-group">
										<input name="passwordRegister" id="passwordRegister" class="form-control" type="password" placeholder="Password">
									</div>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn register-submit" id="btnRegister" class="btn login-button-below" onclick="validateAll();">Register</button>
								</div>
							</form>
						</div>
					</div>
				</div>
				<div class="modal fade" id="timeZoneModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
								<h4 class="modal-title" id="myModalLabel">Change your timezone</h4>
							</div>
							<div class="modal-body">
								<select name="DropDownTimezone" id="DropDownTimezone" class="form-control">
									<option value="-12:00">(GMT -12:00) Eniwetok, Kwajalein</option>
									<option value="-11:00">(GMT -11:00) Midway Island, Samoa</option>
									<option value="-10:00">(GMT -10:00) Hawaii</option>
									<option value="-9:00">(GMT -9:00) Alaska</option>
									<option value="-8:00">(GMT -8:00) Pacific Time (US &amp; Canada)</option>
									<option value="-7:00">(GMT -7:00) Mountain Time (US &amp; Canada)</option>
									<option value="-6:00">(GMT -6:00) Central Time (US &amp; Canada), Mexico City</option>
									<option value="-5:00">(GMT -5:00) Eastern Time (US &amp; Canada), Bogota, Lima</option>
									<option value="-4:00">(GMT -4:00) Atlantic Time (Canada), Caracas, La Paz</option>
									<option value="-3:30">(GMT -3:30) Newfoundland</option>
									<option value="-3:00">(GMT -3:00) Brazil, Buenos Aires, Georgetown</option>
									<option value="-2:00">(GMT -2:00) Mid-Atlantic</option>
									<option value="-1:00">(GMT -1:00 hour) Azores, Cape Verde Islands</option>
									<option value="+0:00">(GMT) Western Europe Time, London, Lisbon, Casablanca</option>
									<option value="+1:00">(GMT +1:00 hour) Brussels, Copenhagen, Madrid, Paris</option>
									<option value="+2:00">(GMT +2:00) Kaliningrad, South Africa</option>
									<option value="+3:00">(GMT +3:00) Baghdad, Riyadh, Moscow, St. Petersburg</option>
									<option value="+3:30">(GMT +3:30) Tehran</option>
									<option value="+4:00">(GMT +4:00) Abu Dhabi, Muscat, Baku, Tbilisi</option>
									<option value="+4:30">(GMT +4:30) Kabul</option>
									<option value="+5:00">(GMT +5:00) Ekaterinburg, Islamabad, Karachi, Tashkent</option>
									<option value="+5:30">(GMT +5:30) Bombay, Calcutta, Madras, New Delhi</option>
									<option value="+5:45">(GMT +5:45) Kathmandu</option>
									<option value="+6:00">(GMT +6:00) Almaty, Dhaka, Colombo</option>
									<option value="+7:00">(GMT +7:00) Bangkok, Hanoi, Jakarta</option>
									<option value="+8:00">(GMT +8:00) Beijing, Perth, Singapore, Hong Kong</option>
									<option value="+9:00">(GMT +9:00) Tokyo, Seoul, Osaka, Sapporo, Yakutsk</option>
									<option value="+9:30">(GMT +9:30) Adelaide, Darwin</option>
									<option value="+10:00">(GMT +10:00) Eastern Australia, Guam, Vladivostok</option>
									<option value="+11:00">(GMT +11:00) Magadan, Solomon Islands, New Caledonia</option>
									<option value="+12:00">(GMT +12:00) Auckland, Wellington, Fiji, Kamchatka</option>
								</select>
							</div>
							<div class="modal-footer">
								<button type="button" class="btn btn-primary" onclick="changeTimeZone();">Change</button>
							</div>
						</div>
					</div>
				</div>
				<div class="modal fade" id="unavailableModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal" aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
								<h4 class="modal-title" id="myModalLabel">Unavailable at...</h4>
							</div>
							<div class="modal-body" id="unavailableInput">Add times when you are unavailable to connect.
								<br>
								
							</div>
							<div class="modal-footer">
								<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- </div> -->
			<div class="row">
				<div class="col-sm-3 col-xs-12">
					<img class="logo img-responsive" src="img/BeatLogo.png" alt="Logo" />
				</div>
				<div class="col-sm-9 hidden-xs">
					<h1 class="introtext">Time zone matching made easy</h1>
					<h2 class="introsub">Find the best time to connect with
						friends in any time zone</h2>
				</div>
			</div>
		</div>
	</div>

	<div id="blueArea">
		<!--section for app-->
		<div id="map">
			<div class="container-fluid">
				<div class="row-fluid">
					<div class="col-md-7 worldmap">
						<img src="img/worldmap.png" class="img-responsive" alt="WorldMap" />
						<!-- Here goes the output from java class -->
						<div class="col-sm-5 outputtext" style="display: none">
							<p>The best time for you to connect is</p>
							<p id="yourTime" style="display: none">
								<span></span> for you
							</p>
							<p id="friendsTime" style="display: none">
								<span></span> for your friend
							</p>
							<p id="friendsTime2" style="display: none">
								<span></span> for your 2nd friend
							</p>
							<p id="friendsTime3" style="display: none">
								<span></span> for your 3rd friend
							</p>
							<p id="friendsTime4" style="display: none">
								<span></span> for your 4th friend
							</p>
						</div>
					</div>
					<form class="col-sm-5 form-horizontal form__inline">
						<div id="inputFields">
							<div class="form-group" id="yourLocation">
								<label for="YourLoc" class="col-sm-6 control-label">Your location
								</label>
								<div class="col-sm-6">
									<input type="location" class="form-control controls" id="YourLoc" placeholder="Magical wonderland" name="YourLoc" value="">
								</div>
							</div>
							<div class="form-group">
								<label for="FriendsLoc" class="col-sm-6 control-label">Friend's location or username</label>
								<div class="col-sm-6">
									<input type="location" class="form-control controls" id="FriendsLoc" placeholder="Overseas kingdom" name="FriendsLoc">
									<!-- <div class="connect">or <a href="#"> connect with a user.</a>
                    </div> -->
								</div>
							</div>
							<div class="form-group friendsLoc2" style="display: none;">
								<label for="FriendsLoc" class="col-sm-6 control-label">2nd location or username</label>
								<div class="col-sm-6">
									<input type="location" class="form-control controls" id="FriendsLoc2" placeholder="Dungeon">
									<!-- <div class="connect">or <a href="#"> connect with a user.</a>
                    </div> -->
								</div>
							</div>
							<div class="form-group friendsLoc3" style="display: none;">
								<label for="FriendsLoc" class="col-sm-6 control-label">3rd location or username</label>
								<div class="col-sm-6">
									<input type="location" class="form-control controls" id="FriendsLoc3" placeholder="Strawberry field">
									<!-- <div class="connect">or <a href="#"> connect with a user.</a>
                    </div> -->
								</div>
							</div>
							<div class="form-group friendsLoc4" style="display: none;">
								<label for="FriendsLoc" class="col-sm-6 control-label">4th location or username</label>
								<div class="col-sm-6">
									<input type="location" class="form-control controls" id="FriendsLoc4" placeholder="Your mom's">
									<!-- <div class="connect">or <a href="#"> connect with a user.</a>
                    </div> -->
								</div>
							</div>
						</div>

						<div class="form-group">
							<div class="col-sm-offset-5 col-sm-7">
								<button type="button" class="btn addnewfriend">
									<i class="fa fa-plus fa-lg"></i> Add more friends
								</button>
							</div>
						</div>
						<div class="form-group">
							<div class="col-sm-offset-5 col-sm-7">
								<button type="button" class="btn findmutual">Find mutual daytime</button>
							</div>
						</div>
					</form>
					<div class="col-md-offset-1"></div>
					<!-- Modal to display when error occours -->
					<!-- Modal -->
					<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal" aria-label="Close">
										<span aria-hidden="true">&times;</span>
									</button>
									<h4 class="modal-title" id="myModalLabel">ERROR</h4>
								</div>
								<div class="modal-body">Something bad happened. Check your input.
								</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
		<!-- Include all compiled plugins (below), or include individual files as needed -->
		<!--script src="scripts/bootstrap.min.js"></script-->
		<!-- Code for interactive site -->
		<script src="scripts/app.js"></script>
		<script src="scripts/validation.js"></script>
		<script src="scripts/login.js"></script>
		<script src="scripts/userPage.js"></script>
		<script src="scripts/unavailable.js"></script>
		<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCDjIdxxX9wkOFCXK4G34twf85WNF8jNAo&libraries=places&callback=initAutocomplete" async defer></script>
</body>

</html>